package main

// Config file for the daemon.
type Config struct {
	WorkDir    string // Working directory.
	ListenAddr string // Listen address for net.Dial.
}

// Post message in Gitea format, only taking what we're interested in.
type GiteaPost struct {
	Before string `json:"before"`
	After  string `json:"after"`

	Repository struct {
		ID          int    `json:"id"`
		Name        string `json:"name"`
		FullName    string `json:"full_name"`
		Description string `json:"description"`

		SSHURL string `json:"ssh_url"`
	} `json:"repostiory"`
}
