package main

import (
	"encoding/json"
	"fmt"
	"os"

	"edgaru089.ink/go/pbuild/internal/runner"
)

func main() {

	var profile runner.Profile

	file, err := os.ReadFile("profile.json")
	if err != nil {
		panic(err)
	}
	err = json.Unmarshal(file, &profile)
	if err != nil {
		panic(err)
	}

	logs, _, _ := profile.Run(".", "out.zip")

	fmt.Print(logs)
}
